﻿// Copyright (c) 2020 Tudor Stanciu

using Tuitio.Domain.Data.DbContexts;
using Tuitio.Domain.Data.Repositories;
using Tuitio.Domain.Repositories;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.EntityFrameworkCore;

namespace Tuitio.Domain.Data
{
    public static class DependencyInjectionExtensions
    {
        public static void AddDataAccess(this IServiceCollection services)
        {
            services.AddScoped<IIdentityRepository, IdentityRepository>();
            
            services
                .AddDbContextPool<IdentityDbContext>(
                 (serviceProvider, options) =>
                 {
                     var configuration = serviceProvider.GetService<IConfiguration>();
                     var connectionString = configuration.GetConnectionString("DatabaseConnection");
                     options.UseSqlServer(connectionString);
                 });
        }
    }
}
